DROP TABLE pricequote.target_prices CASCADE;

CREATE TABLE pricequote.target_prices (
    stlc    TEXT        NOT NULL,
    ds      TEXT        NOT NULL,
    chan    TEXT        NOT NULL,
    tier    TEXT        NOT NULL,
    vol     INT4RANGE   NOT NULL,
    price   NUMERIC,
    math    TEXT[],
    PRIMARY KEY (stlc, ds, chan, tier, vol)
);

GRANT SELECT, INSERT, UPDATE, DELETE ON pricequote.target_prices TO PUBLIC;
